# -*- coding: latin1 -*-

class Point():
    def __init__(self, id):
        self.id = id
        self.xGlobal = None
        self.yGlobal = None
        self.xLocal = None
        self.yLocal = None
        self.xTrans = None
        self.yTrans = None 
        self.xInter = None
        self.yInter = None
        self.checked = None
        
    def setXglobal(self, x):
        self.xGlobal = x
        
    def setYglobal(self, y):
        self.yGlobal = y        
        
    def setXlocal(self, x):
        self.xLocal = x        
        
    def setYlocal(self, y):
        self.yLocal = y             
        
    def setXtrans(self, x):
        self.xTrans = x        
        
    def setYtrans(self, y):
        self.yTrans = y         
       
    def setXInter(self, x):
        self.xInter = x
        
    def setYInter(self, y):
        self.yInter = y
        
    def setChecked(self, flag):
        self.checked = flag
        
        
    def getIdent(self):
        return self.id        
        
    def getXglobal(self):
        return self.xGlobal
        
    def getYglobal(self):
        return self.yGlobal        
        
    def getXlocal(self):
        return self.xLocal

    def getYlocal(self):
        return self.yLocal
        
    def getXtrans(self):
        return self.xTrans

    def getYtrans(self):
        return self.yTrans
        
    def getXInter(self):
        return self.xInter
        
    def getYInter(self):
        return self.yInter
        
    def isChecked(self):
        return self.checked
